<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
Update Method (IEdmCardView63)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmCardView63 Interface : Update Method (IEdmCardView63)

Visual Basic
C#
C++/CLI

eType
  Type of update to perform as defined in EdmCardViewUpdateType

poArg
  Reserved for future use

Updates controls in this card view.

# Syntax

Visual Basic |
--- | ---

    Sub Update( _
       ByVal eType As EdmCardViewUpdateType, _
       Optional ByRef poArg As System.Object _
    )

C# |
--- | ---

    void Update(
       EdmCardViewUpdateType eType,
       ref System.object poArg
    )

C++/CLI |
--- | ---

    void Update(
    &   EdmCardViewUpdateType eType,
    &   System.Object^% poArg
    )

#### Parameters

eType
  Type of update to perform as defined in EdmCardViewUpdateType
poArg
  Reserved for future use

# Example

See the IEdmCardView63 examples.

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmCardView63 Interface
IEdmCardView63 Members

# Availability

SOLIDWORKS PDM Professional Version 6.4